from setuptools import setup
import Pando
import os

def read(fname):
    '''
    Read the README
    '''
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = 'Pando',
    version = Pando.__version__,
    description = Pando.__description__,
    long_description=read('README'),
    classifiers = ['Development Status :: 3 - Alpha',
                   'License :: OSI Approved :: GNU Affero General ' +
                   'Public License v3 or later (AGPLv3+)',
                   'Programming Language :: Python :: 3.5',
                   'Topic :: Scientific/Engineering :: Bio-Informatics',
                   'Topic :: Scientific/Engineering :: Medical Science Apps.',
                   'Intended Audience :: Science/Research'],
    keywords = ['pipeline',
                'ruffus',
                'bacteria',
                'contigs',
                'assembly',
                'assemblies',
                'reads',
                'paired-end',
                'public health microbiology',
                'microbial genomics'],
    download_url = Pando.__download_url__,
    author = Pando.__author__,
    author_email = Pando.__author_email__,
    license = Pando.__license__,
    packages = ['Pando'],
    scripts = ['Pando/pando'],
    include_package_data = True,
    install_requires = ['scipy==0.19.0',
                        'numpy==1.12.0',
                        'pandas==0.19.2',
                        'ete3==3.0.0b35',
                        'ruffus==2.6.3']
    )